import _ from 'underscore';
import { isVoid, isJquery, toJquery } from './src/type-system';
import { guid, newId } from './src/guid';
import { isKeyTextInput, isKeyAlphaNumeric, containsArabic, kebab_case_to_camelCase } from './src/text';
import { callSafe } from './src/func';
import { spinLock } from './src/spin-lock';
import { render } from './src/templating';
window._ = _;
export {
    isVoid,
    isJquery,
    toJquery,
    guid,
    newId,
    isKeyTextInput,
    isKeyAlphaNumeric,
    containsArabic,
    kebab_case_to_camelCase,
    callSafe,
    spinLock,
    render
};
_.isVoid = isVoid;
_.isJquery = isJquery;
_.toJquery = toJquery;
_.callSafe = callSafe;
_.guid = guid;
_.newId = newId;
_.kebab_case_to_camelCase = kebab_case_to_camelCase;
_.containsArabic = containsArabic;
_.isKeyAlphaNumeric = isKeyAlphaNumeric;
_.isKeyTextInput = isKeyTextInput;
_.spinLock = spinLock;
_.render = render;