export function kebab_case_to_camelCase(kebabCase) {
    return kebabCase.replace(/-([a-z])/g, function (g) {
        return g[1].toUpperCase();
    });
};
export function containsArabic(value) {
    var arabic = /[\u0600-\u06FF\u0750-\u077F\ufb50-\ufc3f\ufe70-\ufefc]/;
    return arabic.test(value);
};
export function isKeyAlphaNumeric(keyCode) {
    return (keyCode <= 90 && keyCode >= 48) || (keyCode >= 96 && keyCode <= 105);
};
export function isKeyTextInput(keyCode) {
    //8: backspace
    //46: delete
    return isKeyAlphaNumeric(keyCode) || keyCode === 8 || keyCode === 46;
}